*Event Data Integration: Event API Endpoints and Example Requests
Authentication
The API supports API Key authentication. Symbiosys will provide you with dev/prod API keys.
Note: The Event API is only to be used for real-time event tracking via tag (client- or server-side). If you are integrating via file dump or direct transfer, Symbiosys will provide you with GCS bucket details and/or service keys. In this case, you should still use this document as a reference for data requirements.
Endpoints
The API has both GET and POST endpoints:
GET Endpoints:
Used for client-side integrations (e.g., GTM client-side). These are ideal for lightweight event tracking like page views or clicks, with data sent via URL query parameters.
POST Endpoints:
Used for server-side and app integrations (e.g., sGTM). These support larger payloads, complex data structures, batch processing, and secure transmission of sensitive data in the request body.
Notes:
The parameter names are not 1:1 for GET and POST requests. The GET requests use a shorthand naming scheme.
The endpoints are not 1:1 for GET and POST requests (e.g., the order endpoint name is pluralized for POST).
Testing:
When testing your API implementation in a testing/staging environment, be sure to use your dev API key and you should point the dev endpoints by replacing the top-level
.aidomain with.devin your request like so:https://event.symbiosys.dev/page_viewjs?api_key={dev_api_key}&...
EU production endpoint:
If your business is based in Europe, use the EU endpoint for production traffic only.
Point to the EU endpoint by adding
eu.subdomain beforeeventlike so:https://eu.event.symbiosys.ai/page_viewjs?api_key={prod_api_key}&...
You should still use the
.devendpoint from the previous step for testing.
GET /page_viewjs
Example URL:
https://event.symbiosys.ai/page_viewjs
?api_key=**************************
&ts=1729696661986
&vid=01929d42ae1a0016c0cebe6dd43a0508900160810056a
&sid=1729694623545
&crmid=119583788
&hashed_email=c61ca4013045d4992166ed703a736fbb7e6d0c3b831ff0721eaf953d460ff0a9
&hashed_phone_user=7b7bc2512ee1fedcd76bdc68926d4f7b4ad6eec7e1f1abf2a5e93df18bafad8e
&hashed_phone_e164_user=bd99f4a2bda3f841d3f9a78cf39aa0d6ed7ac712a967351a51915d6c9837c1c3
&hashed_date_of_birth_user=32d10c7b8cf96570ca04ce37f2a19d84240d3a89e9c171a8f2f64d4e6b8f6e63
&hashed_first_name_user=a7d3e6d93b41f6a4941347ecb2e3cb5debe8272b2f8a60d2411b5acb739e6ef3
&hashed_last_name_user=77b7bbefbf6b6317014acded918b6e253a652d48970ee2f40f9f0f7d11f9e5f6
&hashed_zip_code_user=dc5a53bbedf238b49ef3ea7f41b5d64c8b993c79b7ae9c5b314ab29fa96cf6fa
&hashed_city_user=8e9b752be8b1b1c8a76f96e50794e9d45ed4cb16a4fa1a6f2b70f8eebd8ef1be
&hashed_state_user=f84e3c5642a9074536bb68bcb1b99c6a8a97aaab618c2d70ae007eac8315c6ff
&uaclid=false
&aclid=zxck87hwbasduuvgaosdf_afl
&page_url=https%3A%2F%2Fwww.retailer.com%2Fshop%2Fproduct%2Fproduct170830%3Fgclid%3DCjwKCAiAneK8BhAVEiwAoy2HYQpFqiwODAaicabsXW_8vWawqji1354WiCHj15ZEygWv4sAnqfOBUxoCg-MQAvD_BwE
&ch=google
&cclid=CjwKCAiAneK8BhAVEiwAoy2HYQpFqiwODAaicabsXW_8vWawqji1354WiCHj15ZEygWv4sAnqfOBUxoCg-MQAvD_BwE
&ccmp_id=342524
&prodid=170830
&item_group_id=3845239
&category_id=30087
&seller_id=18231233
&brand=nike
GET /orderjs
Example URL:
https://event.symbiosys.ai/orderjs
?api_key=**************************
&ts=1729696661986
&vid=01929d42ae1a0016c0cebe6dd43a0508900160810056a
&sid=1729694623545
&crmid=119583788
&hashed_email=c61ca4013045d4992166ed703a736fbb7e6d0c3b831ff0721eaf953d460ff0a9
&hashed_phone=9f9d51bc70ef21ca5c14f307980a29d8d6eb68e4b5cf1e6a0e94d1c2c84e6f4d
&hashed_phone_user=7b7bc2512ee1fedcd76bdc68926d4f7b4ad6eec7e1f1abf2a5e93df18bafad8e
&hashed_phone_e164=ee26b0dd4af7e749aa1a8ee3c10ae992e9a9d7e40452a7c3a2e0a69fef6f1f7c
&hashed_phone_e164_user=bd99f4a2bda3f841d3f9a78cf39aa0d6ed7ac712a967351a51915d6c9837c1c3
&hashed_date_of_birth=98b2979503d318edb1f6d1b802b4e6e0f90d43e5c5c91c1057b5d8a455b53c9b
&hashed_date_of_birth_user=32d10c7b8cf96570ca04ce37f2a19d84240d3a89e9c171a8f2f64d4e6b8f6e63
&hashed_first_name=fbade9e36a3f36d3d676c1b808451dd7f7d011e7e50ddaa6f31bfb4e08b0e4a8
&hashed_first_name_user=a7d3e6d93b41f6a4941347ecb2e3cb5debe8272b2f8a60d2411b5acb739e6ef3
&hashed_last_name=4d186321c1a7f0f354b297e8914ab240e1dbb3f9842f53c111ed84fd0f9f9c5b
&hashed_last_name_user=77b7bbefbf6b6317014acded918b6e253a652d48970ee2f40f9f0f7d11f9e5f6
&hashed_zip_code=0b4e7a0e5fe84ad35fb5f95b9ceeac79e4f9c11edaaef9c13d37b12cc9cfcc76
&hashed_zip_code_user=dc5a53bbedf238b49ef3ea7f41b5d64c8b993c79b7ae9c5b314ab29fa96cf6fa
&hashed_city=6c3e226b4d4795d518ab341b0824ec29d996fc862f451c3dfe2a4ed29fc4b8e2
&hashed_city_user=8e9b752be8b1b1c8a76f96e50794e9d45ed4cb16a4fa1a6f2b70f8eebd8ef1be
&hashed_state=907d14fb3af2b0d4f18c2d46abe8aedce17367bd2d46c9fa3c8f1b60c2549cd8
&hashed_state_user=f84e3c5642a9074536bb68bcb1b99c6a8a97aaab618c2d70ae007eac8315c6ff
&page_url=https%3A%2F%2Fwww.retailer.com%2Fcheckout
&prodid=170830~238443
&item_group_id=3845239~2342384
&category_id=30087~72342
&seller_id=18231233~23434232
&brand=nike~reebok
&oid=238476923
&qty=1~1
®unitpr=10.00~20.00
&disunitpr=5.00~20.00
POST /page_view
Request body Example:
{
"headers": {
"api_key": "**************************"
},
"body": {
"page_view_ts": 1649171323777,
"platform": "app",
"visitor_id": "01929d42ae1a0016c0cebe6dd43a0508900160810056a",
"session_id": "1729694623545",
"crm_id": "119583788",
"hashed_email": "c61ca4013045d4992166ed703a736fbb7e6d0c3b831ff0721eaf953d460ff0a9",
"hashed_phone_user": "7b7bc2512ee1fedcd76bdc68926d4f7b4ad6eec7e1f1abf2a5e93df18bafad8e",
"hashed_phone_e164_user": "bd99f4a2bda3f841d3f9a78cf39aa0d6ed7ac712a967351a51915d6c9837c1c3",
"hashed_date_of_birth_user": "32d10c7b8cf96570ca04ce37f2a19d84240d3a89e9c171a8f2f64d4e6b8f6e63",
"hashed_first_name_user": "a7d3e6d93b41f6a4941347ecb2e3cb5debe8272b2f8a60d2411b5acb739e6ef3",
"hashed_last_name_user": "77b7bbefbf6b6317014acded918b6e253a652d48970ee2f40f9f0f7d11f9e5f6",
"hashed_zip_code_user": "dc5a53bbedf238b49ef3ea7f41b5d64c8b993c79b7ae9c5b314ab29fa96cf6fa",
"hashed_city_user": "8e9b752be8b1b1c8a76f96e50794e9d45ed4cb16a4fa1a6f2b70f8eebd8ef1be",
"hashed_state_user": "f84e3c5642a9074536bb68bcb1b99c6a8a97aaab618c2d70ae007eac8315c6ff",
"user_agent": "Mozilla/5.0 (iPhone; CPU iPhone OS 16_2 like Mac OS X) AppName/3.4.5.678 (com.example.app; 3.4.5; 345678)",
"use_att_click_id": false,
"att_click_id": "zxck87hwbasduuvgaosdf_afl",
"page_view_url": "https%3A%2F%2Fwww.retailer.com%2Fshop%2Fproduct%2Fproduct170830%3Fgclid%3DCjwKCAiAneK8BhAVEiwAoy2HYQpFqiwODAaicabsXW_8vWawqji1354WiCHj15ZEygWv4sAnqfOBUxoCg-MQAvD_BwE",
"channel": "google",
"channel_click_id": "CjwKCAiAneK8BhAVEiwAoy2HYQpFqiwODAaicabsXW_8vWawqji1354WiCHj15ZEygWv4sAnqfOBUxoCg",
"external_campaign_id": "342524",
"product_id": "170830",
"item_group_id": "3845239",
"category_id": "30087",
"seller_id": "18231233",
"brand": "nike"
}
}
POST /orders
Request body Example:
{
"headers": {
"api_key": "**************************"
},
"body": [{
"order_ts": 1729696661986,
"platform": "app",
"visitor_id": "01929d42ae1a0016c0cebe6dd43a0508900160810056a",
"session_id": "1729694623545",
"crm_id": "119583788",
"hashed_email": "c61ca4013045d4992166ed703a736fbb7e6d0c3b831ff0721eaf953d460ff0a9",
"hashed_phone": "9f9d51bc70ef21ca5c14f307980a29d8d6eb68e4b5cf1e6a0e94d1c2c84e6f4d",
"hashed_phone_user": "7b7bc2512ee1fedcd76bdc68926d4f7b4ad6eec7e1f1abf2a5e93df18bafad8e",
"hashed_phone_e164": "ee26b0dd4af7e749aa1a8ee3c10ae992e9a9d7e40452a7c3a2e0a69fef6f1f7c",
"hashed_phone_e164_user": "bd99f4a2bda3f841d3f9a78cf39aa0d6ed7ac712a967351a51915d6c9837c1c3",
"hashed_date_of_birth": "98b2979503d318edb1f6d1b802b4e6e0f90d43e5c5c91c1057b5d8a455b53c9b",
"hashed_date_of_birth_user": "32d10c7b8cf96570ca04ce37f2a19d84240d3a89e9c171a8f2f64d4e6b8f6e63",
"hashed_first_name": "fbade9e36a3f36d3d676c1b808451dd7f7d011e7e50ddaa6f31bfb4e08b0e4a8",
"hashed_first_name_user": "a7d3e6d93b41f6a4941347ecb2e3cb5debe8272b2f8a60d2411b5acb739e6ef3",
"hashed_last_name": "4d186321c1a7f0f354b297e8914ab240e1dbb3f9842f53c111ed84fd0f9f9c5b",
"hashed_last_name_user": "77b7bbefbf6b6317014acded918b6e253a652d48970ee2f40f9f0f7d11f9e5f6",
"hashed_zip_code": "0b4e7a0e5fe84ad35fb5f95b9ceeac79e4f9c11edaaef9c13d37b12cc9cfcc76",
"hashed_zip_code_user": "dc5a53bbedf238b49ef3ea7f41b5d64c8b993c79b7ae9c5b314ab29fa96cf6fa",
"hashed_city": "6c3e226b4d4795d518ab341b0824ec29d996fc862f451c3dfe2a4ed29fc4b8e2",
"hashed_city_user": "8e9b752be8b1b1c8a76f96e50794e9d45ed4cb16a4fa1a6f2b70f8eebd8ef1be",
"hashed_state": "907d14fb3af2b0d4f18c2d46abe8aedce17367bd2d46c9fa3c8f1b60c2549cd8",
"hashed_state_user": "f84e3c5642a9074536bb68bcb1b99c6a8a97aaab618c2d70ae007eac8315c6ff",
"user_agent": "Mozilla/5.0 (iPhone; CPU iPhone OS 16_2 like Mac OS X) AppName/3.4.5.678 (com.example.app; 3.4.5; 345678)",
"order_id": "238476923",
"items": [
{
"product_id": "170830",
"item_group_id": "3845239",
"category_id": "30087",
"seller_id": "18231233",
"brand": "nike",
"quantity": 1,
"regular_unit_price": 10.00,
"discount_unit_price": 5.00
},
{
"product_id": "238443",
"item_group_id": "2342384",
"category_id": "72342",
"seller_id": "23434232",
"brand": "reebok",
"quantity": 1,
"regular_unit_price": 20.00,
"discount_unit_price": 20.00
}
]
}]
}
Status Codes
The API will return appropriate HTTP status codes:
200: Success
400: Bad Request (e.g., invalid data format)
403: Forbidden (invalid API key)